## GtkActionBar

GtkActionBar — A full width bar for presenting contextual actions

## Functions

GtkWidget * | gtk_action_bar_new ()
void | gtk_action_bar_pack_start ()
void | gtk_action_bar_pack_end ()
GtkWidget * | gtk_action_bar_get_center_widget ()
void | gtk_action_bar_set_center_widget ()

## Child Properties

GtkPackType | pack-type | Read / Write
gint | position | Read / Write

## Types and Values

struct | GtkActionBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkActionBar

## Implemented Interfaces

GtkActionBar implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkActionBar is designed to present contextual actions. It is expected to be displayed below the content and expand horizontally to fill the area.

It allows placing children at the start or the end. In addition, it contains an internal centered box which is centered with respect to the full width of the box, even if the children at either side take up different amounts of space.

## Functions

### gtk_action_bar_new ()

    GtkWidget *
    gtk_action_bar_new (void);

Creates a new GtkActionBar widget.

#### Returns

a new GtkActionBar

Since 3.12

### gtk_action_bar_pack_start ()

    void
    gtk_action_bar_pack_start (GtkActionBar *action_bar,
                               GtkWidget *child);

Adds `child` to `action_bar` , packed with reference to the start of the `action_bar` .

#### Parameters

action_bar | A GtkActionBar |
child | the GtkWidget to be added to `action_bar` |

Since 3.12

### gtk_action_bar_pack_end ()

    void
    gtk_action_bar_pack_end (GtkActionBar *action_bar,
                             GtkWidget *child);

Adds `child` to `action_bar` , packed with reference to the end of the `action_bar` .

#### Parameters

action_bar | A GtkActionBar |
child | the GtkWidget to be added to `action_bar` |

Since 3.12

### gtk_action_bar_get_center_widget ()

    GtkWidget *
    gtk_action_bar_get_center_widget (GtkActionBar *action_bar);

Retrieves the center bar widget of the bar.

#### Parameters

action_bar | a GtkActionBar |

#### Returns

the center GtkWidget.

[transfer none]

Since 3.12

### gtk_action_bar_set_center_widget ()

    void
    gtk_action_bar_set_center_widget (GtkActionBar *action_bar,
                                      GtkWidget *center_widget);

Sets the center widget for the GtkActionBar.

#### Parameters

action_bar | a GtkActionBar |
center_widget | a widget to use for the center. | [allow-none]

Since 3.12

## Types and Values

### struct GtkActionBar

    struct GtkActionBar;

## Child Property Details

### The `“pack-type”` child property

      “pack-type”                GtkPackType

A GtkPackType indicating whether the child is packed with reference to the start or end of the parent.

Flags: Read / Write

Default value: GTK_PACK_START

### The `“position”` child property

      “position”                 gint

The index of the child in the parent.

Flags: Read / Write

Allowed values: >= -1

Default value: 0

## See Also

GtkBox